Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class AuthorizationRejectedException

    java.lang.Object
      PipelineException
          com.beasys.commerce.ebusiness.payment.AuthorizationRejectedException

Deprecated

    @Deprecated
    public class AuthorizationRejectedException

extends PipelineException

Signals that authorization with an otherwise valid credit card was unsuccessful. Typically this will result from insufficient funds.

Constructor Summary
`AuthorizationRejectedException(String namespace, String messageKey)` Deprecated Constructs a AuthorizationRejectedException
`AuthorizationRejectedException(String namespace, String messageKey, Exception embeddedException)` Deprecated Constructs a AuthorizationRejectedException
`AuthorizationRejectedException(String namespace, String messageKey, Object[] arguments)` Deprecated Constructs a AuthorizationRejectedException
`AuthorizationRejectedException(String namespace, String messageKey, Object[] arguments, Exception embeddedException)` Deprecated Constructs a AuthorizationRejectedException
`AuthorizationRejectedException(String namespace, String messageKey, Object argument, Exception embeddedException)` Deprecated Constructs a AuthorizationRejectedException

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey)

  Deprecated
  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Exception embeddedException)

  Deprecated
  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Object[] arguments)

  Deprecated
  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Object argument,
                                          Exception embeddedException)

  Deprecated
  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Object[] arguments,
                                          Exception embeddedException)

  Deprecated
  Constructs a AuthorizationRejectedException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.